DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-08-14-Users_LoginDate';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14244) THEN
			RETURN;
		END IF;

		BEGIN
            		ALTER TABLE public."Users" ADD "LoginDate" timestamp without time zone;
		 	INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-08-14-Users_LoginDate: %', SQLERRM;
		END;
	END;
$$